package com.tuoheng.admin.service.inspectionfile;

import com.tuoheng.admin.query.InspectionFileQuery;
import com.tuoheng.admin.request.inspectionfile.*;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/11/29
 */
public interface IInspectionFileService {
    JsonResult getQuestionList();

    JsonResult getListByDeptUserType(InspectionFileQuery query);

    /**
     *
     * 根据任务Id查询任务分页列表
     *
     * @param request
     * @return
     */
    JsonResult getPageListByInspectionId(QueryInspectionFilePageListByInspectionIdRequest request);

    /**
     *
     * 查询任务分页列表
     *
     * @param request
     * @return
     */
    JsonResult getPageList(QueryInspectionFilePageListRequest request);

    /**
     *
     * 确认
     *
     * @param idList
     * @return
     */
    JsonResult confirm(List<String> idList);

    /**
     *
     * 忽略
     *
     * @param idList
     * @return
     */
    JsonResult ignore(List<String> idList);

    /**
     *
     * 获取任务问题处理结果
     *
     * @param id
     * @return
     */
    JsonResult getHandle(String id);

    /**
     *
     * 查询任务问题分布列表
     *
     * @param request
     * @return
     */
    JsonResult getDistributionList(QueryInspectionFileDistributionListRequest request);

    /**
     *
     * 根据工单ID查询工单问题列表
     *
     * @param request
     * @return
     */
    JsonResult getPageListByWorkOrderId(QueryInspectionFileWorkOrderPageListRequest request);

    /**
     *
     * 处理任务问题
     *
     * @param request
     * @return
     */
    JsonResult processing(InspectionFileProcessingRresultRequest request);

    /**
     *
     * 修改巡检任务问题类型
     *
     * @param id
     * @param questionCode
     *
     * @return
     */
    JsonResult editQuestionType(String id, String questionCode);
}
